Last Comment Bug 803733 - Remove the hack around otoro orientation issue when capturing still images
: Remove the hack around otoro orientation issue when capturing still images
Status: RESOLVED FIXED
[fota] QARegressExclude
:
Product: Firefox OS
Classification: Client Software
Component: Gaia (show other bugs)
: unspecified
: ARM Gonk (Firefox OS)
: -- normal (vote)
: ---
Assigned To: Michael Vines [:m1] [:evilmachines]
:
Mentors:
: 802785 805737 805782 (view as bug list)
Depends on: 806582
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-19 15:59 PDT by Chris Jones [:cjones] inactive; ni?/f?/r? if you need me
Modified: 2013-01-14 14:53 PST (History)
13 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
+
fixed
fixed


Attachments
Normalize camera sensor orientation (5.70 KB, patch)
2012-10-19 18:59 PDT, Michael Vines [:m1] [:evilmachines]
cjones.bugs: review+
Details | Diff | Splinter Review
Trivial rebase (5.90 KB, patch)
2012-10-24 16:47 PDT, Michael Vines [:m1] [:evilmachines]
mvines: review+
Details | Diff | Splinter Review

Description Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2012-10-19 15:59:48 PDT
We should normalize all these device quirks at the platform level.  We've already busted another device from the hack.
Comment 1 Michael Vines [:m1] [:evilmachines] 2012-10-19 18:59:38 PDT
Created attachment 673505 [details] [diff] [review]
Normalize camera sensor orientation
Comment 2 Michael Vines [:m1] [:evilmachines] 2012-10-19 19:00:07 PDT
PR for gaia portion: https://github.com/mozilla-b2g/gaia/pull/5909
Comment 3 Michael Vines [:m1] [:evilmachines] 2012-10-19 19:01:00 PDT
Try run: https://tbpl.mozilla.org/?tree=Try&rev=dbf93f3bc829
Comment 5 Michael Vines [:m1] [:evilmachines] 2012-10-19 19:03:58 PDT
*** Bug 802785 has been marked as a duplicate of this bug. ***
Comment 6 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2012-10-19 21:29:26 PDT
This blocks correctly-oriented photos on the commercial phone.
Comment 7 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2012-10-20 01:03:28 PDT
The PR of course looks fine, but please give us until Monday to land until we can work out something for otoro/unagi dogfooders.  Sorry about that.
Comment 8 Michael Vines [:m1] [:evilmachines] 2012-10-24 16:47:48 PDT
Created attachment 674898 [details] [diff] [review]
Trivial rebase

Carrying r+ forward
Comment 9 Michael Vines [:m1] [:evilmachines] 2012-10-24 17:20:41 PDT
Comment on attachment 674898 [details] [diff] [review]
Trivial rebase

nm.  can't drive hg properly yet...
Comment 10 Michael Vines [:m1] [:evilmachines] 2012-10-24 17:32:23 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/450f060c4577
Comment 11 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2012-10-24 17:55:57 PDT
Note to Moz dogfooders / bisecters: this patch and the associated gaia commit will result in rotated images being captured by the cameras on otoro and unagi.  That's 100% expected and understood.  You won't see this bug in full flashes.

mvines was kind enough to land that workaround for us.  However, we need to ship this workaround in a FOTA update to dogfooders.  (Or have them push a new file to device.)
Comment 12 Ryan VanderMeulen [:RyanVM] 2012-10-24 19:02:20 PDT
I'll land this on Aurora after it lands on m-c. No need to request checkin on that part as long as it's got blocking-basecamp+ or approval-aurora+.
Comment 13 Michael Vines [:m1] [:evilmachines] 2012-10-24 22:17:31 PDT
(In reply to Chris Jones [:cjones] [:warhammer] from comment #11)
> ... land that workaround for us.  

Ref:
https://github.com/mozilla-b2g/android-device-otoro/commit/b456d081241f5c4bbf13d8f0e79ab140cc45a4f1
https://github.com/mozilla-b2g/android-device-unagi/commit/86e1911d940f1cfdad661603a305d07f3d041bb8
Comment 14 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2012-10-25 02:07:48 PDT
Also FTR, the FOTA wheels are in motion.
Comment 15 Ryan VanderMeulen [:RyanVM] 2012-10-25 05:21:47 PDT
https://hg.mozilla.org/mozilla-central/rev/450f060c4577
Comment 16 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2012-10-25 23:50:44 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/ea122969082d
Comment 17 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2012-10-25 23:53:31 PDT
*** Bug 805737 has been marked as a duplicate of this bug. ***
Comment 18 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2012-10-26 11:25:10 PDT
*** Bug 805782 has been marked as a duplicate of this bug. ***
Comment 19 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2012-10-29 13:36:16 PDT
*** Bug 806356 has been marked as a duplicate of this bug. ***
Comment 20 Angela Hubenya 2013-01-14 14:50:04 PST
Defect is verified as fixed using the Unagi device, build 20130114073222. 
Needs to be verified on an Otoro device.

Note You need to log in before you can comment on or make changes to this bug.